Bug 465933 - nhfsstone does not support NFSv3 and v4
nhfsstone does not support NFSv3 and v4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
Martin Jenner
:
Depends On:
Blocks: 475627
  Show dependency treegraph
 
Reported: 2008-10-07 04:12 EDT by Tatsuo Kawasaki
Modified: 2011-06-14 10:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
support nfsv3 and v4 patch (2.07 KB, patch)
2008-10-07 04:12 EDT, Tatsuo Kawasaki
no flags Details | Diff

  None (edit)
Description Tatsuo Kawasaki 2008-10-07 04:12:15 EDT
Created attachment 319622 [details]
support nfsv3 and v4 patch

Description of problem:
The nhfsstone does not reply (hang up) if nfs verion is NFSv3 or NFSv4. The current nhfsstone utility *only* support NFS v2 because the nhfsstone open /proc/net/rpc/nfs and read 'proc2' line. The 'proc2' line is used by NFS v2.

Success: mount nfs filesystem with -o nfsvers=2 and run nhfsstone.
Fail   : mount nfs filesystem (nfsv3 or v4) and run nhfsstone.

Version-Release number of selected component (if applicable):
All versions.

How reproducible:


Steps to Reproduce:
1.  mount [some directory]  and run nhfsstone 
2.
3.
  
Actual results:
Case 2: hang up.

Expected results:
Show report.

Additional info:
I add new option [-2|-3|-4] like nfsstat.)
Comment 3 Steve Dickson 2009-04-29 16:18:31 EDT
Fixed in nfs-utils-1.0.9-42.el5
Comment 7 errata-xmlrpc 2009-09-02 06:03:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1321.html

Note You need to log in before you can comment on or make changes to this bug.